package rpgEngine.Data.Abstract.World;

public class Door {
	private Integer mapID;
	private Integer x;
	private Integer y;
	
	public Door() {
		this(-1,-1,-1);
	}
	
	public Door(Integer mapID, Integer x, Integer y) {
		this.setX(x);
		this.setY(y);
		this.setMapID(mapID);
	}

	public Integer getMapID() {
		return mapID;
	}

	public void setMapID(Integer mapID) {
		this.mapID = mapID;
	}

	public Integer getX() {
		return x;
	}

	public void setX(Integer x) {
		this.x = x;
	}

	public Integer getY() {
		return y;
	}

	public void setY(Integer y) {
		this.y = y;
	}
	
}
